<!DOCTYPE HTML>
<html>
    <head>
        <title>Activity: CSS Introduction</title>

         <!-- Step 5- External Styling -->

        <link rel="stylesheet" href="index.css">
    
    </head>
    <body>

        <!-- Different ways to include CSS -->

        <!-- Step 2  - Inline Styling-->
        <p style="color: red;">Apply inline styling here.</p>


        <!-- Step 3- Internal Styling --> 
        <style>
       #internal-styling{color: orange;}
       </style>

        <section id="internal-styling">
        <p id="internal-styling">Apply internal styling here.</p> 
        </id> 
        </section>

        <section id="external-styling">
        <p>Apply external styling here.</p>
        </id> 
        </section>


        <!-- CSS Selectors -->

        <section>
        <h1>CSS Introduction Activity</h1>

        <h2 id="h2">The following are things you will learn in this bootcamp:</h2>

        <h3>Languages to be Learned</h3>
        <ol>
            <li class="languages">Hypertext Markup Language</li>
            <li class="languages">Cascading Style Sheet</li>
            <li class="languages">JavaScript</li>
        </ol>

        </section>

        <section>

        <h3>Tools to be Used</h3>
        <ol>
            <li tools>Sublime Text</li>
            <li tools>Postman</li>
            <li tools>Heroku</li>
            <li tools>GitLab</li>
        </ol>
        </section>
        <!-- Combinator Selectors -->
        <section>
            <h4>Other Things to be Learned</h4>
            <img src="https://upload.wikimedia.org/wikipedia/commons/thumb/9/99/Unofficial_JavaScript_logo_2.svg/480px-Unofficial_JavaScript_logo_2.svg.png" id="image">
            <ul>
                <li>Node.js</li>
                <li>Express.js</li>
                <li>React.js</li>
                <li>MongoDB</li>
            </ul>
            <p>Web development is a continuous process. Never stop learning and always look for ways to innovate.</p>
        </section>

    </body>
</html>
